<?php

use Illuminate\Support\Facades\Route;
use Modules\ExternalSystem\Http\Controllers\ExternalSystemController;

Route::middleware(['auth:sanctum', 'single.session'])->prefix('v1')->group(function () {
    Route::get('external-systems', [ExternalSystemController::class, 'index'])
        ->name('external-systems.index');
    Route::get('external-systems/{id}', [ExternalSystemController::class, 'show'])
        ->name('external-systems.show');
    Route::post('external-systems/{code}/sso/launch', [ExternalSystemController::class, 'launch'])
        ->name('external-systems.sso.launch');
});
